/*
 * CRN.h    Civic Registration Number
 */
#ifndef CRN_H
#define CRN_H
#include <iosfwd>
#include <string>

namespace IDA_Person
{
   class CRN
   {
   public:
      CRN(unsigned year, unsigned month, unsigned day, unsigned birth_number)
	 : year_{ year }, month_{ month }, day_{ day }, birth_number_{ birth_number }
      {}

      // CRN();                      not generated
      // CRN(const CRN&;             generated
      // CRN(CRN&&;                  generated
      // ~CRN() noexcept;            generated
      // CRN& operator=(const CRN&;  generated
      // CRN& operator=(CRN&&;       generated

      unsigned get_year() const;
      unsigned get_month() const;
      unsigned get_day() const;
      unsigned get_birth_number() const;

      std::string str() const;

   private:
      unsigned year_;
      unsigned month_;
      unsigned day_;
      unsigned birth_number_;
   };

   std::ostream& operator<<(std::ostream&, const CRN&);

} // namespace IDA_Person

#endif
