/*
 * Date.h
 */
#ifndef DATE_H
#define DATE_H
#include <iosfwd>
#include <string>

namespace IDA_Date
{
   class Date
   {
   public:
      Date(unsigned year, unsigned month, unsigned day)
	 : year_{ year }, month_{ month }, day_{ day }
      {}

      // Date()                         not generated
      // Date(const Date&);             generated
      // Date(Date&&);                  generated
      // ~Date();                       generated
      // Date& operator=(const Date&);  generated
      // Date& operator=(Date&&);       generated

      unsigned get_year() const;
      unsigned get_month() const;
      unsigned get_day() const;

      void set_year(unsigned year);
      void set_month(unsigned month);
      void set_day(unsigned day);

      std::string str() const;

   private:
      unsigned year_;
      unsigned month_;
      unsigned day_;
   };

   std::ostream& operator<<(std::ostream&, const Date&);

} // namespace IDA_Date

#endif
